Question

2
Replies
95
Views
JerryT41 Member since 2018 1 post
NTTDATA
Posted: June 6, 2018
Last activity: June 15, 2018
Closed

How to resolve Pega Chat Install problem with node-stringprep node-gyp

We have issues installing Pega Chat on-premises onto a VM running RHEL 7.4 (Maipo)

The problem appears to be within node-stringprep, but wanted to ask here if there is a known resolution for this problem.

Thanks for your help!

x-x-x-x-x-x-x-x output shown below x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x

[root@pegaldev1 server]# npm install --production

> node-stringprep@0.8.0 install /app/installers/PegaChat/server/node_modules/node-stringprep
> node-gyp rebuild

gyp WARN download NVM_NODEJS_ORG_MIRROR is deprecated and will be removed in node-gyp v4, please use NODEJS_ORG_MIRROR
gyp WARN download NVM_NODEJS_ORG_MIRROR is deprecated and will be removed in node-gyp v4, please use NODEJS_ORG_MIRROR
which: no icu-config in (/usr/lib/node_modules/npm/bin/node-gyp-bin:/app/installers/PegaChat/server/node_modules/node-stringprep/node_modules/.bin:/app/installers/PegaChat/server/node_modules/.bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin)
gyp: Call to 'which icu-config > /dev/null || echo n' returned exit status 0 while in binding.gyp. while trying to load binding.gyp
gyp ERR! configure error
gyp ERR! stack Error: `gyp` failed with exit code: 1
gyp ERR! stack at ChildProcess.onCpExit (/usr/lib/node_modules/npm/node_modules.bundled/node-gyp/lib/configure.js:305:16)
gyp ERR! stack at emitTwo (events.js:106:13)
gyp ERR! stack at ChildProcess.emit (events.js:191:7)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:219:12)
gyp ERR! System Linux 3.10.0-693.17.1.el7.x86_64
gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
gyp ERR! cwd /app/installers/PegaChat/server/node_modules/node-stringprep
gyp ERR! node -v v6.14.2
gyp ERR! node-gyp -v v3.4.0
gyp ERR! not ok
npm ERR! Linux 3.10.0-693.17.1.el7.x86_64
npm ERR! argv "/usr/bin/node" "/usr/bin/npm" "install" "--production"
npm ERR! node v6.14.2
npm ERR! npm v3.10.10
npm ERR! code ELIFECYCLE

npm ERR! node-stringprep@0.8.0 install: `node-gyp rebuild`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the node-stringprep@0.8.0 install script 'node-gyp rebuild'.
npm ERR! Make sure you have the latest version of node.js and npm installed.
npm ERR! If you do, this is most likely a problem with the node-stringprep package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! node-gyp rebuild
npm ERR! You can get information on how to open an issue for this project with:
npm ERR! npm bugs node-stringprep
npm ERR! Or if that isn't available, you can get their info via:
npm ERR! npm owner ls node-stringprep
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR! /app/installers/PegaChat/server/npm-debug.log

Conversational Channels Low-Code App Development Installation and Deployment
Moderation Team has archived post
Share this page LinkedIn